%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          hibernate-jpamodelgen
Version:       1.1.1
Release:       %mkrel 1
Summary:       Hibernate JPA 2 Metamodel Generator
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.hibernate.org/subprojects/jpamodelgen.html
Source0:       http://sourceforge.net/projects/hibernate/files/%{name}/%{namedversion}/%{name}-%{namedversion}-dist.tar.gz
# remove hibernate3-core and jdocbook plugins
Patch0:        hibernate-jpamodelgen-1.1.1-pom_xml.patch
Patch1:        hibernate-jpamodelgen-1.1.1-surefire-report-plugin.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: hibernate-jpa-2.0-api
BuildRequires: jaxb2-maven-plugin
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-injection-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: jboss-parent
#org.jboss.maven.plugins maven-jdocbook-plugin 2.2.1
#org.jboss.maven.plugins maven-jdocbook-style-plugin 2.0.0
#org.hibernate hibernate-jdocbook-style 2.0.0

# for test
#hibernate-core 3.6.0.Beta1
BuildRequires: slf4j
BuildRequires: testng

Requires:      hibernate-jpa-2.0-api

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Annotation Processor to generate JPA 2 static metamodel classes.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
find . -name "*.jar" -delete
rm -rf docs/api
%patch0 -p0
# Failed to execute goal org.apache.maven.plugins:maven-surefire-report-plugin:2.8.1:report-only (generate-test-report) on project hibernate-jpamodelgen: Reporting mojo's can only be called from ReportDocumentRender -> [Help 1]
%patch1 -p0

%build
# test skip... require hibernate3
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/hibernate
install -pm 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/hibernate/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.hibernate-%{name}.pom
%add_maven_depmap JPP.hibernate-%{name}.pom hibernate/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/hibernate/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt readme.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Nov 11 2011 dmorgan <dmorgan> 1.1.1-1.mga2
+ Revision: 166443
- Clean spec file

  + gil <gil>
    - imported package hibernate-jpamodelgen

